Bug 804651 - CalDAV backend doesn't respect "Copy for offline" option
CalDAV backend doesn't respect "Copy for offline" option
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution-data-server (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: beta
: 6.4
Assigned To: Matthew Barnes
Desktop QE
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-19 10:02 EDT by David Jaša
Modified: 2014-01-02 05:48 EST (History)
4 users (show)

See Also:
Fixed In Version: evolution-data-server-2.32.3-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 00:04:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
eds patch (707 bytes, patch)
2012-04-24 07:37 EDT, Milan Crha
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 672398 None None None Never

  None (edit)
Description David Jaša 2012-03-19 10:02:38 EDT
Description of problem:
when CalDAV URI is unreachable, the calendar can't be enabled in spite of enabled offline cache. This makes offline cache pretty much useless.

Version-Release number of selected component (if applicable):
evolution-2.28.3-24.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. have a CalDAV calendar with Copy Calendar for Offline Use (or so) checkbox checked
2. turn on Offline Mode
3. quit Evolution, restart e-calendar-factory/evolution-data-server, start 
4. reenable calendar
  
Actual results:
calendar can not be enabled again

Expected results:
calendar will be enabled

Additional info:
when user makes changes to calendar contents, he/she should be warned that it can not be pushed to calendar right away. During actual push of the changes, user should be asked how should be any conflicts resolved.
Comment 1 Milan Crha 2012-03-19 12:27:09 EDT
The CalDAV backend doesn't support real offline handling. The most it can show the cached events in offline mode, like On The Web calendars work, and when the server gets reachable then it'll use it in writeable mode again (if available for the user by server principals). Some such code is available in Fedora, thus enabling in offline mode is considered as a typo in the URL (not necessary offline mode initiated by a user, but kinds like VPN unexpected disconnect and such).
Comment 2 Milan Crha 2012-04-24 07:37:55 EDT
Created attachment 579827 [details]
eds patch

for evolution-data-server;

I finally got to this and even I thought this will be significantly harder, then it turned out that the CalDAV backend didn't respect the "Copy calendar contents locally for offline operation" option, and always acted as it would be off. Having it on makes the calendar open in read-only mode while in offline, being able to read current offline cache from the disk.
Comment 3 RHEL Product and Program Management 2012-07-10 02:35:37 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2012-07-10 19:10:07 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 5 RHEL Product and Program Management 2012-12-14 02:08:12 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 Milan Crha 2013-05-09 10:08:17 EDT
devel-acking, (upstream) patch available
Comment 15 errata-xmlrpc 2013-11-21 00:04:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.